Debian Bug report logs - #609447
Undeclared dependency on python-pkg-resources

version graph

Package: python-xattr; Maintainer for python-xattr is Federico Ceratto <federico.ceratto@gmail.com>; Source for python-xattr is src:python-xattr.

Reported by: Modestas Vainius <modax@debian.org>

Date: Sun, 9 Jan 2011 15:24:01 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version python-xattr/0.4-5

Fixed in versions python-xattr/0.4-5+squeeze1, 0.6-1

Done: Federico Ceratto <federico.ceratto@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Federico Ceratto <federico.ceratto@gmail.com>:
Bug#609447; Package python-xattr. (Sun, 09 Jan 2011 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
New Bug report received and forwarded. Copy sent to Federico Ceratto <federico.ceratto@gmail.com>. (Sun, 09 Jan 2011 15:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: submit@bugs.debian.org
Subject: Undeclared dependency on python-pkg-resources
Date: Sun, 9 Jan 2011 17:20:42 +0200
[Message part 1 (text/plain, inline)]
Package: python-xattr
Version: 0.4-5
Severity: serious
Tags: squeeze sid

$ xattr -l file
Traceback (most recent call last):
  File "/usr/bin/xattr", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

The issue affects unstable version (0.6-1) as well. 

P.S. What is more, the lack of #592860 [1] fix in testing also drives me nuts. 
It's hard to use xattr as command line utility with the latter bug unfixed.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592860

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (1001, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=lt_LT.UTF-8, LC_CTYPE=lt_LT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-xattr depends on:
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared 
lib
ii  python                  2.6.6-3+squeeze4 interactive high-level object-
orie
ii  python-support          1.0.10           automated rebuilding support for 
P

python-xattr recommends no packages.

python-xattr suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions python-xattr/0.6-1. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 17:24:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#609447; Package python-xattr. (Sun, 09 Jan 2011 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Federico Ceratto <federico.ceratto@gmail.com>:
Extra info received and forwarded to list. (Sun, 09 Jan 2011 23:15:05 GMT) Full text and rfc822 format available.

Message #12 received at 609447@bugs.debian.org (full text, mbox):

From: Federico Ceratto <federico.ceratto@gmail.com>
To: Modestas Vainius <modax@debian.org>, 609447@bugs.debian.org, 592860@bugs.debian.org
Subject: Re: Bug#609447: Undeclared dependency on python-pkg-resources
Date: Sun, 9 Jan 2011 23:13:09 +0000
Thanks for the report!

I had a new version ready for release to fix #592860 as well but it
was on hold due to the freeze.
I have just asked permission to upload to t-p-u

Bye,
-- 
Federico




Reply sent to Federico Ceratto <federico.ceratto@gmail.com>:
You have taken responsibility. (Wed, 12 Jan 2011 21:36:06 GMT) Full text and rfc822 format available.

Notification sent to Modestas Vainius <modax@debian.org>:
Bug acknowledged by developer. (Wed, 12 Jan 2011 21:36:06 GMT) Full text and rfc822 format available.

Message #17 received at 609447-close@bugs.debian.org (full text, mbox):

From: Federico Ceratto <federico.ceratto@gmail.com>
To: 609447-close@bugs.debian.org
Subject: Bug#609447: fixed in python-xattr 0.4-5+squeeze1
Date: Wed, 12 Jan 2011 21:32:30 +0000
Source: python-xattr
Source-Version: 0.4-5+squeeze1

We believe that the bug you reported is fixed in the latest version of
python-xattr, which is due to be installed in the Debian FTP archive:

python-xattr_0.4-5+squeeze1.debian.tar.gz
  to main/p/python-xattr/python-xattr_0.4-5+squeeze1.debian.tar.gz
python-xattr_0.4-5+squeeze1.dsc
  to main/p/python-xattr/python-xattr_0.4-5+squeeze1.dsc
python-xattr_0.4-5+squeeze1_i386.deb
  to main/p/python-xattr/python-xattr_0.4-5+squeeze1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Federico Ceratto <federico.ceratto@gmail.com> (supplier of updated python-xattr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Jan 2011 22:57:28 +0000
Source: python-xattr
Binary: python-xattr
Architecture: source i386
Version: 0.4-5+squeeze1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Changed-By: Federico Ceratto <federico.ceratto@gmail.com>
Description: 
 python-xattr - module for manipulating filesystem extended attributes
Closes: 592860 609447
Changes: 
 python-xattr (0.4-5+squeeze1) testing-proposed-updates; urgency=low
 .
   * Bugfix release: missing dependency from python-pkg-resources
     (Closes: #609447)
   * Bugfix: xattr crashes when listing file attributes (Closes: #592860)
Checksums-Sha1: 
 983ebfb1e6329500580a0b21032aa495264b7dd1 1303 python-xattr_0.4-5+squeeze1.dsc
 0cc4f5d56cbc3890c952f839c3a7d420beb794f6 3906 python-xattr_0.4-5+squeeze1.debian.tar.gz
 dee4bd655368e9947cbc06c7f8b3a10a1000ae2b 12380 python-xattr_0.4-5+squeeze1_i386.deb
Checksums-Sha256: 
 b31554bf3bfe61a029e1f4e6435a97f0b73e792812cdb46819728397783474d1 1303 python-xattr_0.4-5+squeeze1.dsc
 e662c10cee3ea05ddc849f33a63a32453311fa69c97bca6978c2e648e43000a1 3906 python-xattr_0.4-5+squeeze1.debian.tar.gz
 7f94fe45cab6ed8932062a39cb6601b7bc1ffaa411a65bdcc178dd251a559703 12380 python-xattr_0.4-5+squeeze1_i386.deb
Files: 
 2986992e967a4cdc254d78a313a4596c 1303 python optional python-xattr_0.4-5+squeeze1.dsc
 44701c5007d46d19b8041d0896926fce 3906 python optional python-xattr_0.4-5+squeeze1.debian.tar.gz
 973ca15f4214a2db04128f819c318d9d 12380 python optional python-xattr_0.4-5+squeeze1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk0uFEgACgkQ5qqQFxOSsXSEsgCgyIRm6z1FtKBK8+HTA9IvNblR
f88AoLP4nkgRsWgi5BTX7nIWm98brtQ8
=RHMI
-----END PGP SIGNATURE-----





Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:59 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 0.6-1. Request was from Federico Ceratto <federico.ceratto@gmail.com> to control@bugs.debian.org. (Sat, 01 Oct 2011 17:36:08 GMT) Full text and rfc822 format available.

Reply sent to Federico Ceratto <federico.ceratto@gmail.com>:
You have taken responsibility. (Sat, 01 Oct 2011 17:45:06 GMT) Full text and rfc822 format available.

Notification sent to Modestas Vainius <modax@debian.org>:
Bug acknowledged by developer. (Sat, 01 Oct 2011 17:45:06 GMT) Full text and rfc822 format available.

Message #26 received at 609447-close@bugs.debian.org (full text, mbox):

From: Federico Ceratto <federico.ceratto@gmail.com>
To: 609447-close@bugs.debian.org
Date: Sat, 1 Oct 2011 18:42:27 +0100
Source: python-xattr
Source-Version: 0.6-1

Dependency on "python-pkg-resources" added.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Oct 2011 07:34:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:44:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.